org.apache.storm.container.cgroup.core

## Class MemoryCore.Stat

- java.lang.Object
- - org.apache.storm.container.cgroup.core.MemoryCore.Stat

- Enclosing class:
    MemoryCore

      public static class MemoryCore.Stat
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `activeAnonSize`
    `long` | `activeFileSize`
    `long` | `cacheSize`
    `long` | `hierarchicalMemoryLimitSize`
    `long` | `hierarchicalMemSwapLimitSize`
    `long` | `inactiveAnonSize`
    `long` | `inactiveFileSize`
    `long` | `mappedFileSize`
    `long` | `pgpginNum`
    `long` | `pgpgoutNum`
    `long` | `rssSize`
    `long` | `swapSize`
    `long` | `totalActiveAnonSize`
    `long` | `totalActiveFileSize`
    `long` | `totalCacheSize`
    `long` | `totalHierarchicalMemoryLimitSize`
    `long` | `totalHierarchicalMemSwapLimitSize`
    `long` | `totalInactiveAnonSize`
    `long` | `totalInactiveFileSize`
    `long` | `totalMappedFileSize`
    `long` | `totalPgpginNum`
    `long` | `totalPgpgoutNum`
    `long` | `totalRssSize`
    `long` | `totalSwapSize`
    `long` | `totalUnevictableSize`
    `long` | `unevictableSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Stat(String output)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cacheSize

          public final long cacheSize

    - #### rssSize

          public final long rssSize

    - #### mappedFileSize

          public final long mappedFileSize

    - #### pgpginNum

          public final long pgpginNum

    - #### pgpgoutNum

          public final long pgpgoutNum

    - #### swapSize

          public final long swapSize

    - #### activeAnonSize

          public final long activeAnonSize

    - #### inactiveAnonSize

          public final long inactiveAnonSize

    - #### activeFileSize

          public final long activeFileSize

    - #### inactiveFileSize

          public final long inactiveFileSize

    - #### unevictableSize

          public final long unevictableSize

    - #### hierarchicalMemoryLimitSize

          public final long hierarchicalMemoryLimitSize

    - #### hierarchicalMemSwapLimitSize

          public final long hierarchicalMemSwapLimitSize

    - #### totalCacheSize

          public final long totalCacheSize

    - #### totalRssSize

          public final long totalRssSize

    - #### totalMappedFileSize

          public final long totalMappedFileSize

    - #### totalPgpginNum

          public final long totalPgpginNum

    - #### totalPgpgoutNum

          public final long totalPgpgoutNum

    - #### totalSwapSize

          public final long totalSwapSize

    - #### totalActiveAnonSize

          public final long totalActiveAnonSize

    - #### totalInactiveAnonSize

          public final long totalInactiveAnonSize

    - #### totalActiveFileSize

          public final long totalActiveFileSize

    - #### totalInactiveFileSize

          public final long totalInactiveFileSize

    - #### totalUnevictableSize

          public final long totalUnevictableSize

    - #### totalHierarchicalMemoryLimitSize

          public final long totalHierarchicalMemoryLimitSize

    - #### totalHierarchicalMemSwapLimitSize

          public final long totalHierarchicalMemSwapLimitSize

  - ### Constructor Detail

    - #### Stat

          public Stat(String output)

Copyright © 2021 The Apache Software Foundation. All rights reserved.